From 72e444550c0f38f206421503b5e9c844be041c7d Mon Sep 17 00:00:00 2001
From: Sebastian Harl <sh@tokkee.org>
Date: Fri, 7 Nov 2008 11:33:20 +0100
Subject: [PATCH] fai-setup: Do not unconditionally add $FAI_CONFIGDIR to exports(5).

---
 bin/fai-setup |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

diff --git a/bin/fai-setup b/bin/fai-setup
index ef4577d..c09aa1e 100644
--- a/bin/fai-setup
+++ b/bin/fai-setup
@@ -178,7 +178,10 @@ if [ -z "$expert" ]; then
 
     addr=$(LC_ALL=C ifconfig $SERVERINTERFACE | grep -v 127.0.0.1 | perl -ne '/addr:([\d.]+)/ && print"$1\n"'|head -1)
     mask=$(LC_ALL=C ifconfig $SERVERINTERFACE | grep -v 127.0.0.1 | perl -ne '/Mask:([\d.]+)/ && print"$1\n"'|head -1)
-    add_export_line $FAI_CONFIGDIR  "$addr/$mask(async,ro,no_subtree_check)"
+
+    if expr match "$FAI_CONFIG_SRC" 'nfs:\/\/' > /dev/null; then
+        add_export_line $FAI_CONFIGDIR  "$addr/$mask(async,ro,no_subtree_check)"
+    fi
     add_export_line $NFSROOT  "$addr/$mask(async,ro,no_subtree_check,no_root_squash)"
     if [ -z "$nfsserver" ]; then
 	echo "Could not find the type of your nfs server. Maybe"
-- 
1.6.0.3.523.g304d0

